Subject: Re: [PATCH v2 1/1] maintenance: use systemd timers on Linux

From: Phillip Wood <[email-masked]>
Date: Wed, 12 May 2021 14:26:22 +0100

On 12/05/2021 07:59, Felipe Contreras wrote:
> Đoàn Trần Công Danh wrote:
>> Yes, dependence on systemd should be strictly opt-in.
>> Although, I don't use systemd-based distro, so it is irrelevant to me.
>> I think it's none of Git (the project) business to decide which
>> scheduler should be given higher priority. It's crontab when
>> maintenance was introduced, it should be crontab, now.
> 
> I do use a systemd-based distro, and I like the option to use systemd
> units, but let's be honest...
> 
> 100% of systems with systemd have cron...

This is untrue, as the commit message points out cron is optional on 
systems running systemd and there are distributions such as Arch Linux 
that do not install a cron daemon without explicit user intervention.

  So...